<div class="MyBooks-container">
    <div class="MyBooks__books" *ngIf="!(isLoading$ | async); else spinner">
        <div
            class="MyBooks__book"
            *ngFor="let bookshelf of bookshelves$ | async"
            (click)="this.currentBookshelf = bookshelf; getBookshelfVolumes()"
        >
            <div class="MyBooks__book-info">
                <p class="MyBooks__book-title">{{ bookshelf.title }}</p>
                <p class="MyBooks__book-subtitle">{{ bookshelf.description }}</p>
                <p class="MyBooks__book-volumeCount">{{ bookshelf.volumeCount }}</p>
            </div>
        </div>
    </div>

    <ng-container *ngIf="(bookshelves$ | async).length">
        <div class="MyBooks__filters">
            <mat-form-field>
                <input matInput [formControl]="searchFormControl" />
            </mat-form-field>
        </div>

        <ng-container *ngIf="!(isLoading$ | async); else spinner">
            <app-books [books]="books$ | async"></app-books>
        </ng-container>
    </ng-container>

    <ng-template #spinner>
        <div fxLayout="row" fxLayoutAlign="center center">
            <mat-spinner></mat-spinner>
        </div>
    </ng-template>
</div>
